#3561 closed infra (fixed)

Migrate to CommitTicketUpdater

Reported by: Amar Takhar Owned by: Amar Takhar
Priority: highest Milestone: 5.1
Component: admin Version:
Severity: critical Keywords: git
Cc: Joel Sherrill, Chris Johns, Sebastian Huber Blocked By: #2233, #3238
Blocking:

Description

The old script was ancient and outdated. I've now killed it off and moved to the internal system described here:

https://trac.edgewall.org/wiki/CommitTicketUpdater

This should handle all scenarios if it does not please let me know. I will leave this ticket open for a week or so.

Change History (12)

comment:1 Changed on Oct 21, 2018 at 9:15:11 PM by Chris Johns

Should https://devel.rtems.org/wiki/Developer/Git/Committers be updated with something about the triggers, even a link to Trac doco?

comment:2 in reply to:  1 Changed on Oct 21, 2018 at 9:28:55 PM by Amar Takhar

Replying to Chris Johns:

Should https://devel.rtems.org/wiki/Developer/Git/Committers be updated with something about the triggers, even a link to Trac doco?

Great idea how is this? wiki:Developer/Git/Committers#TicketUpdates

comment:3 Changed on Oct 23, 2018 at 6:23:25 AM by Chris Johns

Priority: normalhighest
Severity: normalcritical

Git pushes are not updating Trac up as report by Sebastian in an email..

https://git.rtems.org/rtems_waf/commit/?id=1b896361d302aeda0145af90972aea863e28898f

It didn't update the ticket:

https://devel.rtems.org/ticket/3551

It doesn't show up in the Git view in Trac:

https://devel.rtems.org/log/rtems_waf

The common git hook /data/support/git-support/hooks/post-receive-3 for Trac is commented out:

stat -x /data/support/git-support/hooks/post-receive-3 | grep Modify
Modify: Sun Oct 21 00:09:04 2018

I suggest we manually update all tickets until this is resolved. I am not sure why this has been done.

comment:4 in reply to:  3 Changed on Oct 23, 2018 at 1:48:36 PM by Amar Takhar

Replying to Chris Johns:

I suggest we manually update all tickets until this is resolved. I am not sure why this has been done.

It was done due to the numerous complaints about tickets not updating especially with multiple commits.

The way we were doing has been unsupported for over 4 years now it's broken and hacky this change was inevitable I'll look into it I can manually force trac to update the tickets as required so we won't lose anything.

comment:5 Changed on Oct 23, 2018 at 2:08:21 PM by Amar Takhar

I forced an update and changed how I was doing the update we'll see if it works this way.

comment:6 in reply to:  5 Changed on Oct 23, 2018 at 9:46:07 PM by Chris Johns

Replying to Amar Takhar:

I forced an update and changed how I was doing the update we'll see if it works this way.

Could you please explain the change and is there anything we need to do, I am confused if we still need to manually handle ticket updates?

comment:7 Changed on Oct 24, 2018 at 5:05:35 AM by Sebastian Huber

Resolution: fixed
Status: assignedclosed

Thanks for fixing this. The automatic update worked with this commit:

[05a5366469ee4ee7776f70dceea631ea57a63b19/rtems-docs]

comment:8 Changed on Oct 26, 2018 at 5:17:54 PM by Sebastian Huber

Resolution: fixed
Status: closedreopened

comment:9 Changed on Nov 15, 2018 at 2:18:10 AM by Amar Takhar

While working on Buildbot I discovered what was causing this issue. The changeset updating in trac wasn't properly iterating over every commit in a push just the parent.

I have changed it now hopefully it should catch everything now. Let me know if it doesn't thanks.

comment:10 Changed on Nov 16, 2018 at 6:25:22 AM by Sebastian Huber

I committed this to rtems-docs:

https://git.rtems.org/rtems-docs/commit/?id=e49e4056c7d4b7fa35881cfc3522c6e038940e84

I received this from Git:

git push origin e49e4056c7d4b7fa35881cfc3522c6e038940e84:master
Counting objects: 4, done.
Delta compression using up to 12 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 481 bytes | 481.00 KiB/s, done.
Total 4 (delta 3), reused 0 (delta 0)
remote: 0: init
remote: 1: mail vc@rtems.org
remote: NoSuchChangeset: No changeset e49e4056c7d4b7fa35881cfc3522c6e038940e84 in the repository
remote: 4: IRC
remote: fatal: bad object e49e4056c7d4b7fa35881cfc3522c6e038940e84
remote: irc notice: Invalid number of commits: 0
remote: 5: Buildbot
To ssh://dispatch.rtems.org/data/git/rtems-docs.git
   1a704cd..e49e405  e49e4056c7d4b7fa35881cfc3522c6e038940e84 -> master

The corresponding tickets were not updated, e.g. #3584.

comment:11 Changed on Nov 16, 2018 at 11:07:44 PM by Amar Takhar

I reworked a lot of these scripts to make it much easier to modify going forward as a few more will be added. I left some old variables in one of them that were statically set to 'rtems'.

This should fix this problem please let me know if it does not.

comment:12 Changed on Nov 21, 2018 at 11:14:33 PM by Amar Takhar

Resolution: fixed
Status: reopenedclosed

I have not heard any complaints and multiple references should work now as the bug was extremely clear. If it's still an issue please re-open.

Note: See TracTickets for help on using tickets.